Bug 154121 - [patch] Mk/bsd.licenses.mk: post r217309 dialog(1) doesn't support --hline option
Summary: [patch] Mk/bsd.licenses.mk: post r217309 dialog(1) doesn't support --hline op...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-18 18:50 UTC by swell.k
Modified: 2011-07-14 16:20 UTC (History)
0 users

See Also:


Attachments
a.diff (1.50 KB, patch)
2011-01-18 18:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2011-01-18 18:50:07 UTC

Fix: I couldn't find anything similar to --hline so use --title as it's
supported by both versions.
How-To-Repeat: 1. use /head or devel/cdialog
2. run `make LICENSES_ASK=' on any port with `dual' or `multi' license

  $ cd audio/libgme && make LICENSES_ASK=
  ===>  License LGPL21 LGPL3 needs confirmation, will ask later
  ===>  Extracting for libgme-0.5.5
  => SHA256 Checksum OK for game-music-emu-0.5.5.tbz2.
  ===>   Converting DOS text files to UNIX text files

  *** Error code 255

  $ dialog --hline foo
  Error: Unknown option --hline.
Comment 1 Erwin Lansing freebsd_committer 2011-02-06 14:19:43 UTC
State Changed
From-To: open->analyzed

Take for -exp run
Comment 2 dfilter service freebsd_committer 2011-02-07 13:48:53 UTC
erwin       2011-02-07 13:48:49 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.licenses.mk 
  Log:
  Use --title instead of -hline as the latter is no longer supported
  in the latest imported dialog.
  
  PR:             154121
  Submitted by:   Anonymous <swell.k@gmail.com>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +3 -3      ports/Mk/bsd.licenses.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Erwin Lansing freebsd_committer 2011-02-07 13:50:28 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!
Comment 4 Pan Tsu 2011-07-14 16:10:02 UTC
Please, reopen & revert. It's no longer needed after r224014.

--- b.diff begins here ---
Index: Mk/bsd.licenses.mk
===================================================================
RCS file: /a/.cvsup/ports/Mk/bsd.licenses.mk,v
retrieving revision 1.8
diff -u -p -r1.8 bsd.licenses.mk
--- Mk/bsd.licenses.mk	31 Mar 2011 03:37:14 -0000	1.8
+++ Mk/bsd.licenses.mk	14 Jul 2011 15:00:57 -0000
@@ -613,7 +613,7 @@ ${_LICENSE_COOKIE}:
 .			for lic in ${_LICENSE_TO_ASK}
 	@${ECHO_CMD} "${lic}:${_LICENSE_FILE_${lic}}" >> ${_LICENSE_ASK_DATA}
 .			endfor
-	@menu_cmd="${DIALOG} --title \"This port requires you to accept at least one license\" --menu \"License for ${PKGNAME} (dual)\" 21 70 15"; \
+	@menu_cmd="${DIALOG} --hline \"This port requires you to accept at least one license\" --menu \"License for ${PKGNAME} (dual)\" 21 70 15"; \
 	trap '${RM} -f $$tmpfile' EXIT INT TERM; \
 	tmpfile=$$(mktemp -t portlicenses); \
 	for lic in ${_LICENSE_TO_ASK}; do \
@@ -639,7 +639,7 @@ ${_LICENSE_COOKIE}:
 .			for lic in ${_LICENSE_TO_ASK}
 	@${ECHO_CMD} "${lic}:${_LICENSE_FILE_${lic}}" >> ${_LICENSE_ASK_DATA}
 .			endfor
-	@menu_cmd="${DIALOG} --title \"This port requires you to accept all mentioned licenses\" --menu \"License for ${PKGNAME} (multi)\" 21 70 15"; \
+	@menu_cmd="${DIALOG} --hline \"This port requires you to accept all mentioned licenses\" --menu \"License for ${PKGNAME} (multi)\" 21 70 15"; \
 	trap '${RM} -f $$tmpfile' EXIT INT TERM; \
 	tmpfile=$$(mktemp -t portlicenses); \
 	for lic in ${_LICENSE_TO_ASK}; do \
--- b.diff ends here ---